petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexPointLocalFieldRef

return read/write access to a field on a point in local array

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPointLocalFieldRef(DM dm,PetscInt point,PetscInt field,PetscScalar *array,void *ptr)

Not Collective

### Input Arguments

| dm | - DM defining topological space
| point | - topological point
| field | - field number
| array | - array to index into

### Output Arguments

ptr -address of reference to point data, type generic so user can place in structure

### See Also

DMGetDefaultSection(), PetscSectionGetOffset(), PetscSectionGetDof(), DMPlexGetPointLocal(), DMPlexPointGlobalRef()

Level:intermediate
Location:src/dm/impls/plex/plexpoint.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages